Bug #9698

r45509以降、Solarisにて configureが thread model is missing でエラー

Added by Naohisa Goto 11 months ago. Updated 6 months ago.

[ruby-dev:48086]
Status:Closed
Priority:Normal
Assignee:Nobuyoshi Nakada
ruby -v:ruby 2.2.0dev (2014-04-02) [sparc64-solaris2.10] Backport:2.0.0: REQUIRED, 2.1: DONE

Description

r45509以降、Solarisにて configureが thread model is missing でエラーになります。

$ autoconf --version

autoconf (GNU Autoconf) 2.68
$ autoconf
$ ./configure --prefix=/XXXXXXXXXX --build=sparc64-sun-solaris2.10 --with-tclConfig-dir=/usr/local/64/lib --with-tkConfig-dir=/usr/local/64/lib
(中略)
checking whether dtrace needs post processing... yes
checking for prefix of external symbols... NONE
configure: error: thread model is missing

r45509で追加されたbreakにより、シェルスクリプト内の制御が予期せぬ所に飛んでしまい、一部の処理がスキップされたか余計な処理を行なってしまったのかもしれません。

以下のファイルを添付します。
45508.log : r45508でのconfigureの画面出力
45509.log : r45509でのconfigureの画面出力
config.log.r45508: r45508におけるconfig.log
config.log.r45509: r45509におけるconfig.log
configure.r45508 : r45508にて作成されたconfigure
configure.r45509 : r45509にて作成されたconfigure

45509.log Magnifier - r45509でのconfigureの画面出力 (17.3 KB) Naohisa Goto, 04/03/2014 04:01 PM

45508.log Magnifier - r45508でのconfigureの画面出力 (383 KB) Naohisa Goto, 04/03/2014 04:01 PM

config.log.r45509 - r45509におけるconfig.log (1.14 MB) Naohisa Goto, 04/03/2014 04:01 PM

config.log.r45508 - r45508におけるconfig.log (1010 KB) Naohisa Goto, 04/03/2014 04:01 PM

configure.r45509 - r45509にて作成されたconfigure (598 KB) Naohisa Goto, 04/03/2014 04:01 PM

configure.r45508 - r45508にて作成されたconfigure (598 KB) Naohisa Goto, 04/03/2014 04:01 PM


Related issues

Related to Ruby trunk - Bug #9692: __builtin_longjmp is called with a value greater than 1 (GCC compilation error) Closed 04/01/2014

Associated revisions

Revision 39597
Added by Eric Hodel about 2 years ago

  • lib/rubygems.rb: Bump version to 2.0.1 for upcoming bugfix release

  • lib/rubygems/ext/ext_conf_builder.rb: Restore ruby 1.8 compatibility
    for [Bug #9698]

  • test/rubygems/test_gem_installer.rb: Ditto.

  • lib/rubygems/package.rb: Restore ruby 1.8 compatibility.

  • test/rubygems/test_gem_dependency_installer.rb: Fix warnings

Revision 45513
Added by Nobuyoshi Nakada 11 months ago

configure.in: restore flags

  • configure.in (ac_cv_func__builtin_setjmp): should not skip flags restoration in RUBYWERROR_FLAG by break. [Bug #9698]

Revision 45513
Added by Nobuyoshi Nakada 11 months ago

configure.in: restore flags

  • configure.in (ac_cv_func__builtin_setjmp): should not skip flags restoration in RUBYWERROR_FLAG by break. [Bug #9698]

Revision 47277
Added by Tomoyuki Chikanaga 6 months ago

merge revision(s) r45512,r45513,r45515: [Backport #9698]

configure.in: indent

* configure.in (ac_cv_func___builtin_setjmp): adjust indent.
* configure.in (ac_cv_func___builtin_setjmp): should not skip
  flags restoration in RUBY_WERROR_FLAG by `break`.
   [Bug #9698]

History

#1 Updated by Naohisa Goto 11 months ago

  • Related to Bug #9692: __builtin_longjmp is called with a value greater than 1 (GCC compilation error) added

#2 Updated by Nobuyoshi Nakada 11 months ago

  • Status changed from Open to Closed
  • % Done changed from 0 to 100

Applied in changeset r45513.


configure.in: restore flags

  • configure.in (ac_cv_func__builtin_setjmp): should not skip flags restoration in RUBYWERROR_FLAG by break. [Bug #9698]

#3 Updated by _ wanabe 11 months ago

  • Backport changed from 2.0.0: UNKNOWN, 2.1: UNKNOWN to 2.0.0: REQUIRED, 2.1: REQUIRED

#9692 と一緒にバックポートされるべきと思うのでバックポート欄変更します。
間違っていたら直していただけるとありがたいです。

#4 Updated by Tomoyuki Chikanaga 6 months ago

  • Backport changed from 2.0.0: REQUIRED, 2.1: REQUIRED to 2.0.0: REQUIRED, 2.1: DONE

r45512, r45513 and r45515 were backported into ruby_2_1 branch at r47277.

Also available in: Atom PDF